## ros-noetic-dataspeed-ulc-can 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dataspeed_ulc_can)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  nodelet
  std_msgs
  geometry_msgs
  can_msgs
  dataspeed_ulc_msgs
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "Enabling coverage testing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
endif()

if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_STANDARD 11)
endif()

catkin_package(
  INCLUDE_DIRS include
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/nodelet.cpp
  src/UlcNode.cpp
)
add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(ulc_node
  src/node.cpp
)
target_link_libraries(ulc_node
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

### Install Rules
install(TARGETS ${PROJECT_NAME} ulc_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(FILES nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

catkin_python_setup()
catkin_install_python(PROGRAMS
                        scripts/speed_sine_wave.py
                        scripts/speed_square_wave.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

### Tests
if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== debian/changelog ===
ros-noetic-dataspeed-ulc-can (0.1.0-1focal) focal; urgency=high

  * Reconfigure CAN and ROS messages for new ULC capability
  * Use setuptools instead of distutils for python
    http://wiki.ros.org/noetic/Migration#Setuptools_instead_of_Distutils
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-noetic-dataspeed-ulc-can (0.0.5-1focal) focal; urgency=high

  * Updates scale factor on linear accel and decel limit CAN signals
  * Adds README to document the ROS node interface
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 06 Nov 2019 05:00:00 -0000

ros-noetic-dataspeed-ulc-can (0.0.4-1focal) focal; urgency=high

  * Install base Python module instead of including it as a script
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 15 May 2019 04:00:00 -0000

ros-noetic-dataspeed-ulc-can (0.0.3-1focal) focal; urgency=high

  * Added tcpNoDelay() for subscribers
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 09 Dec 2018 05:00:00 -0000

ros-noetic-dataspeed-ulc-can (0.0.2-1focal) focal; urgency=high

  * Cleanup and test updates
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 05 Dec 2018 05:00:00 -0000

ros-noetic-dataspeed-ulc-can (0.0.1-1focal) focal; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-dataspeed-ulc-can
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-can-msgs, ros-noetic-catkin, ros-noetic-dataspeed-ulc-msgs, ros-noetic-geometry-msgs, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslib <!nocheck>, ros-noetic-rospy, ros-noetic-rostest <!nocheck>, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-dataspeed-ulc-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-can-msgs, ros-noetic-dataspeed-ulc-msgs, ros-noetic-geometry-msgs, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-std-msgs
Description: Package to translate ROS messages to and from CAN messages to interact with the Universal Lat/Lon Controller (ULC) firmware
